#pragma once

/////////////////////////////////////////////////////
// @file: IFlow.h
// @brief:  Interface for the Flow class
// @author: dyz
// @date: 2025-04-19
// @version: 1.0
/////////////////////////////////////////////////////

#include "SWFInc.h"

namespace WF {

    class SWF_API IFlow
    {
    public:
        virtual ~IFlow() = default;

        // 运行工作流
        virtual void Run() = 0;

        // 停止工作流
        virtual void Stop() = 0;

        // 获取工作流状态
        virtual int GetStatus() const = 0;
    };

} // namespace WF