#pragma once

//////////////////////////////////////////////////////
// @file: SWFDefine.h
// @brief: 工作流类型定义
// @author: dyz
// @date: 2025-04-19
// @version: 1.0
//////////////////////////////////////////////////////


/**********************************************************
 * @brief 工作流节点类型定义
 * @note 该定义用于工作流节点的类型标识
**********************************************************/
#define FOR_MEMORY_NODETYPE(_f) \
    _f(START)  \
    _f(END)    \
    _f(IF)     \
    _f(ACTIVTIY) \
    _f(SEND)   \
    _f(RECEIVE) \


#define FOR_MEMORY_FLOWSTATUS(_f) \
    _f(INIT)  \
    _f(RUNNING)    \
    _f(END)     \
    _f(ERROR) \


enum class NodeType
{
#define _f(_name) _name,
    FOR_MEMORY_NODETYPE(_f)
#undef _f
    MAX_NODETYPE
};

enum class FlowStatus
{
#define _f(_name) _name,
    FOR_MEMORY_FLOWSTATUS(_f)
#undef _f
    MAX_FLOWSTATUS
};